OGRE-Next: Ogre::ControllerFunction< T > Class Template Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::ControllerFunction< T > Class Template Referenceabstract
Core » General

Subclasses of this class are responsible for performing a function on an input value for a Controller. More...

`#include <OgreController.h>`

Inheritance diagram for Ogre::ControllerFunction< T >:
[legend]

## Public Member Functions
| ControllerFunction (bool deltaInput)
| Constructor.
virtual | ~ControllerFunction ()
virtual T | calculate (T sourceValue)=0

## Detailed Description

template<typename T>
class Ogre::ControllerFunction< T >

Subclasses of this class are responsible for performing a function on an input value for a Controller.

Remarks
  This abstract class provides the interface that needs to be supported for a custom function which can be 'plugged in' to a Controller instance, which controls some object value based on an input value. For example, the WaveControllerFunction class provided by Ogre allows you to use various waveforms to translate an input value to an output value.

  You are free to create your own subclasses in order to define any function you wish.

## Constructor & Destructor Documentation

## ◆ ControllerFunction()

template<typename T>

Ogre::ControllerFunction< T >::ControllerFunction | ( | bool | deltaInput | ) |
| inline

Constructor.

Parameters

  deltaInput | If true, signifies that the input will be a delta value such that the function should add it to an internal counter before calculating the output.

## ◆ ~ControllerFunction()

template<typename T>

virtual Ogre::ControllerFunction< T >::~ControllerFunction | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ calculate()

template<typename T>

virtual T Ogre::ControllerFunction< T >::calculate | ( | T | sourceValue | ) |
| pure virtual

Implemented in Ogre::AnimationControllerFunction, Ogre::LinearControllerFunction, Ogre::PassthroughControllerFunction, Ogre::ScaleControllerFunction, and Ogre::WaveformControllerFunction.

The documentation for this class was generated from the following file:

- OgreController.h